-- "High Elf Temple" is a modified copy of the "Temple" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- Elven tattoo design copyright (C) Elbie3rd@deviantart.com
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 2 created by Daniv
-- Last updated 6th November 2014



defineObject{
   name = "high_elf_temple_altar_lights",
   class = "LightSource",
   lightPosition = vec(0, 0.2, 0),
   lightRange = 8,
   lightColor = vec(0.6, 0.45, 0.2),
   brightness = 8,
   castShadow = true,
   particleSystem = "high_elf_altar_lights",
   placement = "floor",
   editorIcon = 88,
   }

defineObject{
   name = "high_elf_temple_ceiling_lamp",
   class = "LightSource",
   lightPosition = vec(0, 5, 0),
   lightRange = 10,
   lightColor = vec(0.5, 0.5, 0.5),
   brightness = 10,
   castShadow = true,
   particleSystem = false,
   placement = "floor",
   editorIcon = 88,
   }

defineObject{
   name = "high_elf_temple_ceiling_lantern_lights",
   class = "LightSource",
   lightPosition = vec(0, 2.6, 0),
   lightRange = 8,
   lightColor = vec(0.6, 0.45, 0.2),
   brightness = 8,
   castShadow = true,
   particleSystem = "high_elf_ceiling_lantern_lights",
   placement = "floor",
   editorIcon = 88,
   }



cloneObject{
   name = "high_elf_temple_alcove",
   baseObject = "temple_alcove",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_wall_alcove.fbx",
   }

cloneObject{
   name = "high_elf_temple_altar",
   baseObject = "altar",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_altar.fbx",
   }

cloneObject{
   name = "high_elf_temple_bench",
   baseObject = "prison_bench",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_bench.fbx",
   }

cloneObject{
   name = "high_elf_temple_catacomb_empty",
   baseObject = "temple_catacomb_empty",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_catacomb_empty.fbx",
   }

cloneObject{
   name = "high_elf_temple_catacomb_skeleton_down",
   baseObject = "temple_catacomb_skeleton_down",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_catacomb_skeleton_down.fbx",
   }

cloneObject{
   name = "high_elf_temple_catacomb_skeleton_up",
   baseObject = "temple_catacomb_skeleton_up",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_catacomb_skeleton_up.fbx",
   }

cloneObject{
   name = "high_elf_temple_cave_in",
   baseObject = "temple_cave_in",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_cave_in.fbx",
   }

cloneObject{
   name = "high_elf_temple_cave_in_ceiling",
   baseObject = "temple_cave_in_ceiling",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_cave_in_ceiling.fbx",
   }

defineObject{
   name = "high_elf_temple_ceiling_chain_lantern",
   class = "Decoration",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_ceiling_chain_lantern.fbx",
   placement = "floor",
   editorIcon = 104,
   }

cloneObject{
   name = "high_elf_temple_ceiling_shaft",
   baseObject = "temple_ceiling_shaft",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_ceiling_shaft.fbx",
   }

cloneObject{
   name = "high_elf_temple_daemon_head",
   baseObject = "daemon_head",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_daemon_head.fbx",
   }

cloneObject{
   name = "high_elf_temple_daemon_head_eye_slots",
   baseObject = "daemon_head_eye_slots",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_daemon_head_puzzle.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_durin",
   baseObject = "temple_door_iron",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_durin_door.fbx",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame_wide.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   openSound = "wall_sliding",
   closeSound = "wall_sliding",
   lockSound = "wall_sliding_lock",
   openVelocity = 0.5,
   closeVelocity = -0.5,
   }

cloneObject{
   name = "high_elf_temple_door_iron",
   baseObject = "temple_door_iron",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame_wide.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_metal",
   baseObject = "temple_door_metal",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_ornament",
   baseObject = "temple_door_ornament",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_portcullis",
   baseObject = "temple_door_portcullis",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_portcullis_door.fbx",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_wooden",
   baseObject = "temple_door_wooden",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject{
   name = "high_elf_temple_door_wooden_locked",
   baseObject = "temple_door_wooden_locked",
   doorFrameModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_frame.fbx",
   pullChainModel = "mod_assets/models/high_elf_temple/high_elf_temple_door_pullchain.fbx",
   }

cloneObject {
   name = "high_elf_temple_dragon_statue",
   baseObject = "dragon_statue",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_dragon_statue.fbx",
   }


cloneObject{
   name = "high_elf_temple_floor_drainage",
   baseObject = "temple_floor_drainage",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_floor_drainage.fbx",
   }

cloneObject{
   name = "high_elf_temple_floor_plain",
   baseObject = "temple_floor_drainage",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_floor_plain.fbx",
   }

cloneObject{
   name = "high_elf_temple_gladiator_statue_axe",
   baseObject = "temple_gladiator_statue_axe",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_gladiator_statue_battle_axe.fbx",
   }

cloneObject{
   name = "high_elf_temple_gladiator_statue_flail",
   baseObject = "temple_gladiator_statue_flail",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_gladiator_statue_flail.fbx",
   }

cloneObject{
   name = "high_elf_temple_gladiator_statue_spear",
   baseObject = "temple_gladiator_statue_spear",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_gladiator_statue_spear.fbx",
   }

cloneObject{
   name = "high_elf_temple_gladiator_statue_sword",
   baseObject = "temple_gladiator_statue_sword",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_gladiator_statue_dismantler.fbx",
   }

cloneObject{
   name = "high_elf_temple_glass_wall_1",
   baseObject = "temple_glass_wall_1",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_glass_wall_1.fbx",
   }

cloneObject{
   name = "high_elf_temple_glass_wall_2",
   baseObject = "temple_glass_wall_2",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_glass_wall_2.fbx",
   } 

cloneObject{
   name = "high_elf_temple_gobelin",
   baseObject = "gobelin",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_gobelin.fbx",
   brokenModel = "mod_assets/models/high_elf_temple/high_elf_temple_gobelin_torn.fbx",
   }

cloneObject{
   name = "high_elf_temple_pillar",
   baseObject = "temple_pillar",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_pillar.fbx",
   }

cloneObject{
   name = "high_elf_temple_pit",
   baseObject = "temple_pit",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_pit.fbx",
   trapDoorModel = "mod_assets/models/high_elf_temple/high_elf_temple_pit_trapdoor.fbx",
   }

cloneObject{
   name = "high_elf_temple_pressure_plate",
   baseObject = "temple_pressure_plate",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_pressure_plate.fbx",
   }

cloneObject{
   name = "high_elf_temple_receptor",
   baseObject = "receptor",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_spell_receptor.fbx",
   }

cloneObject{
   name = "high_elf_temple_secret_button_large",
   baseObject = "temple_secret_button_large",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_secret_button_large.fbx",
   }

cloneObject{
   name = "high_elf_temple_secret_button_small",
   baseObject = "temple_secret_button_small",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_secret_button_small.fbx",
   }

cloneObject{
   name = "high_elf_temple_secret_button_tiny",
   baseObject = "temple_secret_button_tiny",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_secret_button_tiny.fbx",
   }

cloneObject{
   name = "high_elf_temple_secret_door",
   baseObject = "temple_secret_door",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_secret_door.fbx",
   }

cloneObject{
   name = "high_elf_temple_stairs_down",
   baseObject = "temple_stairs_down",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_stairs_down.fbx",
   }

cloneObject{
   name = "high_elf_temple_stairs_up",
   baseObject = "temple_stairs_up",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_stairs_up.fbx",
   }

cloneObject{
   name = "high_elf_temple_wall_drainage",
   baseObject = "temple_wall_drainage",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_wall_drainage.fbx",
   }

cloneObject{
   name = "high_elf_temple_wall_grating",
   baseObject = "temple_wall_grating",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_wall_grating.fbx",
   }

cloneObject{
   name = "high_elf_temple_wall_text",
   baseObject = "temple_wall_text",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_wall_text.fbx",
   }

cloneObject{
   name = "high_elf_temple_wall_text_long",
   baseObject = "temple_wall_text_long",
   model = "mod_assets/models/high_elf_temple/high_elf_temple_wall_text_long.fbx",
   }



defineParticleSystem{
   name = "high_elf_altar_lights",
   emitters = {
      {
         emissionRate = 90,
         emissionTime = 0,
         maxParticles = 300,
         boxMin = {-0.25, -0.3, -0.25},
         boxMax = {0.25, -0.2, 0.25},
         sprayAngle = {0, 360},
         velocity = {0.1, 0.1},
         objectSpace = true,
         texture = "assets/textures/particles/fog.tga",
         lifetime = {3, 3},
         color0 = {0.65, 0.5, 0.25},
         opacity = 1,
         fadeIn = 2,
         fadeOut = 2,
         size = {0.35, 0.35},
         gravity = {0, 0.05, 0},
         airResistance = 0.1,
         rotationSpeed = 0.3,
         blendMode = "Additive",
         }
      }
   }

defineParticleSystem{
   name = "high_elf_ceiling_lantern_lights",
   emitters = {
      {
         emissionRate = 40,
         emissionTime = 0,
         maxParticles = 150,
         boxMin = {-0.1, -0.1, -0.1},
         boxMax = {0.1, 0.1, 0.1},
         sprayAngle = {0, 360},
         velocity = {0.05, 0.1},
         objectSpace = true,
         texture = "assets/textures/particles/fog.tga",
         lifetime = {3, 3},
         color0 = {0.65, 0.5, 0.25},
         opacity = 1,
         fadeIn = 2,
         fadeOut = 2,
         size = {0.35, 0.35},
         gravity = {0, 0.05, 0},
         airResistance = 0.1,
         rotationSpeed = 0.3,
         blendMode = "Additive",
         }
      }
   }
